clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::find_all_symbols::SymbolInfo::Signals Struct Reference

`#include <SymbolInfo.h>`

Collaboration diagram for clang::find_all_symbols::SymbolInfo::Signals:
[legend]

## Public Member Functions
| Signals ()
| Signals (unsigned Seen, unsigned Used)
Signals & | operator+= (const Signals &RHS)
Signals | operator+ (const Signals &RHS) const
bool | operator== (const Signals &RHS) const

## Public Attributes
unsigned | Seen = 0
unsigned | Used = 0

## Detailed Description

Definition at line 54 of file SymbolInfo.h.

## Constructor & Destructor Documentation

## ◆ Signals() [1/2]

clang::find_all_symbols::SymbolInfo::Signals::Signals | ( |  | ) |
| inline

Definition at line 55 of file SymbolInfo.h.

Referenced by clang::find_all_symbols::SymbolAndSignals::operator==().

## ◆ Signals() [2/2]

clang::find_all_symbols::SymbolInfo::Signals::Signals | ( | unsigned | Seen,
|  | unsigned | Used
| ) |  |
| inline

Definition at line 56 of file SymbolInfo.h.

## Member Function Documentation

## ◆ operator+()

SymbolInfo::Signals clang::find_all_symbols::SymbolInfo::Signals::operator+ | ( | const Signals & | RHS | ) | const

Definition at line 105 of file SymbolInfo.cpp.

References Result.

## ◆ operator+=()

SymbolInfo::Signals & clang::find_all_symbols::SymbolInfo::Signals::operator+= | ( | const Signals & | RHS | ) |

Definition at line 99 of file SymbolInfo.cpp.

References Seen, and Used.

## ◆ operator==()

bool clang::find_all_symbols::SymbolInfo::Signals::operator== | ( | const Signals & | RHS | ) | const

Definition at line 111 of file SymbolInfo.cpp.

References Seen, and Used.

Referenced by clang::find_all_symbols::SymbolInfo::getContexts().

## Member Data Documentation

## ◆ Seen

unsigned clang::find_all_symbols::SymbolInfo::Signals::Seen = 0

Definition at line 59 of file SymbolInfo.h.

Referenced by llvm::yaml::MappingTraits< SymbolAndSignals >::mapping(), operator+=(), operator==(), and clang::find_all_symbols::FindAllSymbols::run().

## ◆ Used

unsigned clang::find_all_symbols::SymbolInfo::Signals::Used = 0

Definition at line 62 of file SymbolInfo.h.

Referenced by llvm::yaml::MappingTraits< SymbolAndSignals >::mapping(), operator+=(), operator==(), and clang::find_all_symbols::FindAllSymbols::run().

The documentation for this struct was generated from the following files:

- SymbolInfo.h
- SymbolInfo.cpp